wesnothd(6)

İSİM
wesnothd - WesnothSavaşı çok oyunculu ağ sunucusu

KULLANIM
wesnothd [-dv] [-c dosya-yolu] [-p port] [-t sayı] [-T sayı]
wesnothd -V

AÇIKLAMA
Wesnoth Savaşı çok oyunculu oyunlarını yönetir. Wesnoth istemcisinden veya soket üzerinden hangi komutların (/query ...) kabul edildiğini öğrenmek için http://www.wesnoth.org/wiki/ServerAdministration adresine bakınız.

SEÇENEKLER

-c dosya-yolu, --config dosya-yolu
    wesnothd'ye yapılandırma dosyasını bulacağı yeri söyler. Sözdizimi için aşağıdaki SUNUCU YAPILANDIRMASI bölümüne bakınız. Artalan sürecine SIGHUP sinyali göndererek yapılandırmayı yeniden yükleyebilirsiniz.

-d, --daemon
     wesnothd'yi bir artalan süreci olarak çalıştırır.

-h, --help
    Komut satırı seçeneklerini basar ve çıkar.

--log-seviye=alan1,alan2,...
    Günlük alanlarının önem seviyelerini ayarlar. Bütün günlük alanlarını kapsamak üzere all belirtilebilir. Olası önem seviyeleri: error, warning, info, debug. error seviyesi öntanımlıdır ve server alanı için info seviyesi kullanılır.

-p port, --port port
    Sunucunun belirtilen portu dinlemesini sağlar. Bir port belirtilmezse 15000 öntanımlıdır.

-t sayı, --threads sayı
    Ağ G/Ç için bekleyen iş evrelerinin azami sayısını belirler. (5 öntanımlıdır. En çok 30 belirtilebilir.)

-T sayı, --max-threads sayı
    Oluşturulacak iş evrelerinin azami sayısını belirler. 0 bir sınır olmadığını belirtir ve öntanımlıdır.

-V, --version
    Sürüm numarasını gösterir ve çıkar.

-v, --verbose
    Hata ayıklama günlüğünü açar.

SUNUCU YAPILANDIRMASI

  Genel sözdizimi şöyledir:

[etiket]

    key="value"

    key="value,value,..."

[/etiket]

  Genel anahtar (key) isimleri:

allow_remote_shutdown
    If set to no (default), shut_down and restart requests are ignored unless they come from the fifo. Set it to yes to allow remote shutdown via a /query by an administrator.

ban_save_file
    Sunucunun okuyup yazabildiği bir (gzip sıkıştırmalı) dosyanın göreli veya tam yolu. Sunucuya girişi yasaklanan oyuncular bu dosyaya kaydedilir ve sunucu başlatılırken okunur.

compress_stored_rooms
    Determines whether the rooms file should be read and written to in compressed form. Defaults to yes.

connections_allowed
    Aynı IP adresinden izin verilen bağlantı sayısı. 0 sonsuz anlamına gelir. 5 öntanımlıdır.

disallow_names
    Names/nicks that are not accepted by the server. * and ? from wildcard patterns are supported. See glob(7) for more details. Default values (used if nothing is specified) are: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    The path to the fifo you can echo server commands into (same as /query ... from wesnoth). If not specified defaults to the compile-time path (default: /var/run/socket/wesnothd/socket).

max_messages
     messages_time_period süresince izin verilen ileti sayısı. 4 öntanımlıdır.

messages_time_period
    Saldırı olarak algılanmayacak ileti sayısının geçebileceği süre (saniye cinsinden). 10 saniye öntanımlıdır.

motd
    Günün sözü.

new_room_policy
    Determines who can create new rooms on the server. Available values are everyone, registered, admin and nobody, and give the permission respectively to everyone, registered users, admin users or disables new room creation. Default value is everyone.

passwd
    The password used to gain admin privileges (via /query admin password).

replay_save_path
    Sunucunun oyun tekrarlarını sakladığı dizin. (dizini bir / ile sonlandırmayı unutmayın!) wesnothd'nin başlatıldığı dizin anlamına gelen `' öntanımlıdır.

restart_command
    The command that the server uses to start a new server process via the restart command. (Can only be issued via the fifo. See the allow_remote_shutdown setting.)

room_save_file
    Path to a file where the room info should be stored. This file is read on server startup and written to later. If empty or not set, rooms are not loaded and not saved.

save_replays
    Sunucunun oyun tekrarlarını özdevinimli olarak kaydadip kaydatmayacağını belirler. Öntanımlı değeri: false

versions_accepted
    A comma separated list of version strings to be accepted by the server. * and ? from wildcard patterns are supported. (defaults to the corresponding wesnoth version)
    Örnek: versions_accepted="*" her sürüm dizgesi kabul edilir..

user_handler
    The name of the user handler to use. Currently available user handlers are forum (to connect wesnothd to a phpbb forum database) and sample (a sample implementation of the user handler interface, if you use this on anything real you are insane). The default value is forum. You must also add a [user_handler] section, see below.

  Genel etiket isimleri:

[redirect] Belli istemci sürümlerinin yönlendirileceği sunucuların belirtildiği etiket.

    host
        Yönlendirilecek sunucunun adresi.

    port
        Bağlanılacak port.

    version
        Yönlendirilecek sürümlerin virgül ayraçlı listesi. Dosya kalıbı karakterleri bakımından versions_accepted ile aynı yöntem kullanılır.

[ban_time] Geçici sunucuya giriş yasağı süresi için uygun sözcüklerin tanımlandığı etiket.

    name
        Yasaklama süresine atfedilen isim.

    time
        The time length definition. The format is: %d[%s[%d%s[...]]] where %s is s (seconds), m (minutes), h (hours), D (days), M (months) or Y (years) and %d is a number. If no time modifier is given minutes (m) are assumed. Example: time="1D12h30m" results in a ban time of 1 day, 12 hours and 30 minutes.

[proxy] Sunucuya bir vekil sunucu gibi çalışacağını ve bağlanan istemcilerin isteklerini belirtilen sunucuya yönelteceğini söyleyen etiket. [redirect] için kullanılan değişkenler kullanılır.

[user_handler] Configures the user handler. Available keys vary depending on which user handler is set with the user_handler key. If no [user_handler] section is present in the configuration the server will run without any nick registration service.

    db_host
        (user_handler=forum için) Veritabanı sunucusunun konak adı.

    db_name
        (user_handler=forum için) Veritabanının ismi.

    db_user
        (user_handler=forum için) Veritabanını girişte kullanılacak kullanıcı ismi.

    db_password
        (user_handler=forum için) Bu kullanıcının parolası

    db_users_table
        (user_handler=forum için) PHPBB forumlarınızın kullanıcı verilerini saklayacağı tablonun ismi. Bu tablo genellikle belirtilir: <tablo-öneki>_users (örnek: phpbb3_users).

    db_extra_table
        (for user_handler=forum) The name of the table in which wesnothd will save its own data about users. You will have to create this table manually, e.g.: CREATE TABLE <table-name>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (user_handler=sample için) Kayıtlı bir oyuncu adının geçerli kalacağı gün sayısı.

[mail] Kullanıcı işlemcisinin epostaları göndereceği SMTP sunucusunu yapılandırır. Şimdilik sadece örnek kullanıcı işlemcisi tarafından kullanılmaktadır.

    server
        Posta sunucusunun konak adı.

    username
        Posta sunucusuna girişte kullanılacak kullanıcı adı.

    password
        Bu kullanıcının parolası.

    from_address
        Epostanızın yanıtlama adresi.

    mail_port
        Eposta sunucunuzun dinlediği port. 25 öntanımlıdır.

EXIT STATUS
Normal exit status is 0 when the server was properly shutdown. An exit status of 2 indicates an error with the command line options.

YAZAN
Program David White <davidnwhite@verizon.net> tarafından yazılmış, Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> ve Thomas Baumhauer <thomas.baumhauer@gmail.com> tarafından düzenlenmiştir. Bu kılavuz sayfası ilk defa Cyril Bouthors <cyril@bouthors.org> tarafından yazılmış Nilgün Belma Bugüner <nilgun@belgeler.org> tarafından Türkçe'ye çevrilmiştir.
Oyunun ana sayfasını ziyaret etmeyi unutmayın: http://www.wesnoth.org/

TELİF HAKKI
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Bu bir özgür yazılımdır; GNU Genel Kamu Lisansının 2 koşullarına bağlı kalarak kopyalarını yeniden dağıtabilirsiniz. Yasaların izin verdiği ölçüde hiçbir garantisi yoktur; hatta SATILABİLİRLİĞİ veya ŞAHSİ KULLANIMINIZA UYGUNLUĞU için bile garanti verilmez.

İLGİLİ BELGELER
wesnoth(6).